package com.lz.modules.sys.service.app;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lz.common.utils.PageUtils;
import com.lz.modules.app.dto.DepartmentsDto;
import com.lz.modules.app.dto.GraphicsStatisticalDto;
import com.lz.modules.app.dto.ReportDistributionDto;
import com.lz.modules.app.dto.ReportProgressListDto;
import com.lz.modules.app.req.ReportListReq;
import com.lz.modules.app.req.ResultDistributionReq;
import com.lz.modules.app.resp.ReportChartResp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: djc
 * @Desc:
 * @Date: 2020/9/14 16:40
 */
public interface ChartService {

    /**
     * 查询当月绩效提交情况
     * @param type
     * @param monthTime
     * @return
     */
    List<GraphicsStatisticalDto> resultProgressDistribution(int type, String monthTime,String departmentId);

    PageUtils resultReportList(ReportListReq req);

    ReportChartResp reportChart(String selectMonthTime, String departmentId);

    PageUtils reportDistribution(ResultDistributionReq req);

    String businessLineByStaffId(String staffId);


    boolean hrOrBoss(Long staffId);

    boolean leader(Long staffId);

    List<ReportProgressListDto> targetReportList(ReportListReq req, List<String> staffIds, IPage page);

}
